# esys.pycad.extras Package

## Classes

## Functions

esys.pycad.extras.buildFreeSurface(xwidth, ywidth)
  Build a free surface to start the layer cake model.

    This surface is planar.

  Parameters:

    xwidth :: width in x direction in meters. ywidth :: width in y direction in meters.

esys.pycad.extras.buildLayer(xwidth, ywidth, depth, lay_surf, hor_lines, corner_points)

  Builds a boxlike volume and returns primatives for layered model construction.

  Parameters:

    xwidth :: width in x direction in meters. ywidth :: width in y direction in meters. depth :: depth to bottom of layer in meters. lay_surf :: surface at top of layer (see buildFreeSurf) hor_lines :: lines of lay_surf corner_points :: points of hor_lines

esys.pycad.extras.layer_cake(domain, xwidth, ywidth, depths)

  Builds a horizontally layered box like model. All layers are tagged as ‘intface_i’ where i is the python style integer denoting that layer. For example, the free surface is tagged ‘interface_0’. Volumes are similarly tagged as ‘volume_i’.

  Parameters:

    domain :: output of Pycad.Design - It needs to be dim 3. xwidth :: width in x direction in meters. ywidth :: width in y direction in meters. depth :: depth to bottom of layer in meters.

  One may save the domain using:

    # Output settings. domain.setScriptFileName(os.path.join(save_path,fname+”.geo”)) domain.setMeshFileName(os.path.join(save_path,fname+”.msh”)) findomain=fin.MakeDomain(domain) # make the finley domain: Create a file that can be read back in to python with ReadMesh. findomain.write(os.path.join(save_path,fname+”.fly”))

## Others

## Packages